import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
// import {
//  csv,
//   scaleLinear, scaleTime,
//   max,
//   format, timeFormat,
//   extent
// } from 'd3';
import { useData } from './useData';

import { Marks } from './Marks';

const width = 960;
const height = 500;
const margin = {
  top: 20,
  right: 40,
  bottom: 65,
  left: 90,
};
// const innerHeight =
//   height - margin.top - margin.bottom;
// const innerWidth =
//   width - margin.left - margin.right;
// const xAxisLabelOffset = 50;
// const yAxisLabelOffset = 50;

const App = () => {
  const data = useData();

  console.log(data);
  if (!data) {
    return <pre>Loading...</pre>;
  }


  return (
    <svg width={width} height={height}>
        <Marks
          data={data}
        />
    </svg>
  );
};

const rootElement = document.getElementById(
  'root'
);

ReactDOM.render(<App />, rootElement);
